## r-cran-testextra 0.1.0.1

=== DESCRIPTION ===
Package: testextra
Type: Package
Title: Extract Test Blocks
Version: 0.1.0.1
Authors@R: c( 
    person("Andrew", "Redd", role = c("aut", "cre")
          , email = "andrew.redd@hsc.utah.edu"
          , comment = c(ORCID = "https://orcid.org/0000-0002-6149-2438")
          ), 
    person("R Documentation Task Force", role=c("cph")
          , comment = c(url = "https://rdoctaskforce.github.io/")
          ),
    person("R Consortium", role="fnd"
          , comment = c(url = "https://www.r-consortium.org")
          ))
Maintainer: Andrew Redd <andrew.redd@hsc.utah.edu>
Description: A collection of testing enhancements and utilities.
    Including utilities for extracting inline test blocks from 
    package source files.
License: GPL-2
Encoding: UTF-8
Language: en-US
LazyData: true
Imports: assertthat, methods, parsetools, pkgcond, postlogic, purrr,
        rlang, stringi, testthat, utils
Suggests: covr, devtools, withr, rstudioapi, htmltools, shiny, yaml, DT
RoxygenNote: 6.1.1
Collate: 'extract_tests.R' 'catch_condition.R' 'inheritance.R'
        'new_namespace.R' 'strings.R' 'util-testing.R' 'validity.R'
        'coverage.R'
URL: https://github.com/RDocTaskForce/testextra
BugReports: https://github.com/RDocTaskForce/testextra/issues
NeedsCompilation: no
Packaged: 2019-12-18 09:12:49 UTC; hornik
Author: Andrew Redd [aut, cre] (<https://orcid.org/0000-0002-6149-2438>),
  R Documentation Task Force [cph] (https://rdoctaskforce.github.io/),
  R Consortium [fnd] (https://www.r-consortium.org)
Repository: CRAN
Date/Publication: 2019-12-18 09:15:29 UTC

=== debian/changelog ===
r-cran-testextra (0.1.0.1-3) unstable; urgency=medium

  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 19 May 2020 13:25:24 +0200

r-cran-testextra (0.1.0.1-2) unstable; urgency=medium

  * Change license of debian/ according to hint of Scott Kitterman

 -- Andreas Tille <tille@debian.org>  Wed, 08 Apr 2020 12:49:13 +0200

r-cran-testextra (0.1.0.1-1) unstable; urgency=medium

  * Initial release (closes: #956126)

 -- Andreas Tille <tille@debian.org>  Tue, 07 Apr 2020 20:49:18 +0200

=== debian/control ===
Source: r-cran-testextra
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-assertthat,
               r-cran-parsetools,
               r-cran-pkgcond,
               r-cran-postlogic,
               r-cran-purrr,
               r-cran-rlang,
               r-cran-stringi,
               r-cran-testthat
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-testextra
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-testextra.git
Homepage: https://cran.r-project.org/package=testextra
Rules-Requires-Root: no

Package: r-cran-testextra
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Extract Test Blocks
 A collection of testing enhancements and utilities.
 Including utilities for extracting inline test blocks from
 package source files.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-devtools
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/testextra_([-\d.]*)\.tar\.gz
